Bug 110525 - Oops in proc_delete_inode (another one)
Oops in proc_delete_inode (another one)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 14:03 EST by Zoran Dzelajlija
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zoran Dzelajlija 2003-11-20 14:03:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; Linux i686; U) Opera 7.21  [en]

Description of problem:
Got this on a server running RedHat 9:

Unable to handle kernel NULL pointer dereference at virtual address 00000085
 printing eip:
c017abf9
*pde = 00000000
Oops: 0002
ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables e1000 loop lvm-mod keybdev 
mousede
v hid input ehci-hcd usb-uhci usbcore ext3 jbd raid1 sd_mod scsi_
CPU:    1
EIP:    0060:[<c017abf9>]    Not tainted
EFLAGS: 00010202

EIP is at proc_delete_inode [kernel] 0x29 (2.4.20-20.9smp)
eax: 00000075   ebx: d2d4da80   ecx: 00000020   edx: ddc72000
esi: c017abd0   edi: c46c3800   ebp: ddc73f90   esp: ddc73f44
ds: 0068   es: 0068   ss: 0068
Process chatstats (pid: 327680, stackpage=ddc73000)
Stack: c016d600 d2d4da80 c03468c0 c03d5c00 cfca5480 d2d4da80 00000fff 
c016a39a 
       d2d4da80 c03d5c00 ddc73f90 d2d4da80 c015f9c5 cfca5480 0000000d c015c07e 
       ddc73f90 bfffd4d0 00000fff cfca5480 c2df0f40 c0139c19 0805f000 00001000 
Call Trace:   [<c016d600>] iput [kernel] 0x150 (0xddc73f44))
[<c016a39a>] dput [kernel] 0xca (0xddc73f60))
[<c015f9c5>] path_release [kernel] 0x15 (0xddc73f74))
[<c015c07e>] sys_readlink [kernel] 0x6e (0xddc73f80))
[<c0139c19>] sys_brk [kernel] 0x109 (0xddc73f98))
[<c01098cf>] system_call [kernel] 0x33 (0xddc73fc0))


Code: f0 ff 48 10 8b 42 24 83 48 14 08 89 54 24 04 e9 f3 fe ff ff 
 
The server is a single CPU P4 machine with HyperThreading enabled, two IDE disks in 
SoftRAID-1, running a heavily threaded java chat application.

I have observed an Oops in the same function before (#90156), but this one's 
traceback does not show the same functions, so I'm not reopening it.

I have also experienced some problems which may or may not be related - a week ago, 
the machine was left in the state where any of the programs related with /proc, like ps 
or  top failed with segfault.  Since this was an production server, I couldn't have 
investigated further, but rebooted.  Nothing suspicious was found in the logs.



Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-20.9

How reproducible:
Didn't try

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.